#open "unix";;
#open "sys";; 


let open_graph ()=
  signal SIGIO (Signal_handle sigio_handler);
  raw_open_graph ();;

let close_graph () =
  signal SIGIO Signal_ignore;
  raw_close_graph ();; 


let button_down = 0;;
let button_up = 1;;
let keypressed = 2;;
let motion = 3;;
let poll = 4;;
let redraw = 5;;
let close = 6;;

let F1_key =       0xFF80;;
let F2_key =       0xFF81;;
let F3_key =       0xFF82;;
let F4_key =       0xFF83;;
let F5_key =       0xFF84;;
let F6_key =       0xFF85;;
let F7_key =       0xFF86;;
let F8_key =       0xFF87;;
let F9_key =       0xFF88;;
let F10_key =      0xFF89;;

let Right_key =    0xFF00;;
let Left_key =     0xFF01;;
let Up_key =       0xFF02;;
let Down_key =     0xFF03;;

let PageUp_key =   0xFF04;;
let PageDown_key = 0xFF05;;
let Home_key =     0xFF06;;
let End_key =      0xFF07;;
let Insert_key =   0xFF08;;
let Del_key =      0xFF09;;

let Copy_key =     0xFF20;;
let Cut_key  =     0xFF21;;
let Past_key =     0xFF22;;



let rgb r g b =
  r lsl 16 + g lsl 8 + b
;;

let black   = 0
and white   = 0xFFFFFF
and red     = 0xFF0000
and green   = 0x00FF00
and blue    = 0x0000FF
and yellow  = 0xFFFF00
and cyan    = 0x00FFFF
and magenta = 0xFF00FF
;;

let background = black
and foreground = white
;;

let draw_ellipse x y rx ry =
  draw_arc x y rx ry 0 360
;;

let draw_circle x y r =
  draw_arc x y r r 0 360
;;

let fill_ellipse x y rx ry =
  fill_arc x y rx ry 0 360
;;

let fill_circle x y r =
  fill_arc x y r r 0 360
;;

let set_text_size sz = ();;

let transp = -1
;;

let get_image x y w h =
  let i = create_image w h in
    blit_image i x y; i
;;


let mouse_pos () =
  let e = get_event [Poll] in (e.mouse_x, e.mouse_y)
;;

let button_state () =
  let e = get_event [Poll] in e.button
;;

let read_key () =
  let e = get_event [Key_pressed] in e.key
;;

let change_dir Path =
  chdir Path;;

